/**
 * A helper for creating a chart based on a table (conf. <https://jackens.github.io/nnn/chartable/>).
 *
 * Options:
 * - `table`: `HTMLTableElement` to extract data, data series labels and X axis labels
 * - `headerColumn`: flag indicating that `table` has a header column with X axis labels
 * - `xGap`: X axis spacing
 * - `xLabelsMinHeight`: minimal height of X axis labels
 * - `xLabelsRotate`: flag to rotate X axis labels
 * - `xReverse`: flag to reverse all data series
 * - `yGap`: Y axis spacing
 * - `yLabelsLeftMinWidth`: minimal width of Y axis left labels
 * - `yLabelsRightMinWidth`: minimal width of Y axis right labels
 * - `yMax`: number of Y axis lines
 * - `zLabelsMinWidth`: minimal width of data series labels
 * - `zyMappings`: mappings per data series
 */
export function chartable({ table, headerColumn, xGap, xLabelsMinHeight, xLabelsRotate, xReverse, yGap, yLabelsLeftMinWidth, yLabelsRightMinWidth, yMax, zLabelsMinWidth, zyMappings }: {
    table: HTMLTableElement;
    headerColumn?: boolean | undefined;
    xGap?: number | undefined;
    xLabelsMinHeight?: number | undefined;
    xLabelsRotate?: boolean | undefined;
    xReverse?: boolean | undefined;
    yGap?: number | undefined;
    yLabelsLeftMinWidth?: number | undefined;
    yLabelsRightMinWidth?: number | undefined;
    yMax?: number | undefined;
    zLabelsMinWidth?: number | undefined;
    zyMappings?: [(label: string) => number, (value: number) => string][] | undefined;
}): SVGSVGElement;

export const tests: {};
